package com.community.huiju.dao;

import com.community.huiju.model.TdImages;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TdImagesMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TdImages record);

    int insertSelective(TdImages record);

    TdImages selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TdImages record);

    int updateByPrimaryKey(TdImages record);

    List<TdImages> getByUUIDAndByType(Map<String,Object> map);

    /**
     * 批量删除
     *  根据 uuid 和 type
     * @param map
     * @return
     */
    int deleteByUuidAndType(Map map);

    /**
     * 批量添加
     * @param list
     * @return
     */
    int insertBatch(List<TdImages> list);

    /**
     * 修改时删除当前图片
     * @param uuid
     * @param type
     */
    void deleteTdImages(@Param("uuid") Integer uuid, @Param("type") String type);

    /**
     *
     * @param uuid
     * @param object
     * @return
     */
    List<TdImages> selectImages(@Param("uuid") Integer uuid, @Param("object") String object);
}